yi-core-0.19.4: Yi editor core library

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Yi.Command.Help

Description

Help command support This module uses Yi.Eval.describeNamedAction to show whatever information about particular action is available from current evaluator (ghciEvaluator currently presents only type.) TODO: Would be nice to show excerpt from Haddock documentation in the future.

If given no arguments, the help index is shown (using `getAllNamesInScope`).

Please do not try to show descriptions for the whole index, as our interface to GHCi is too slow.

Synopsis

- displayHelpFor :: Text -> YiM ()

# Documentation

displayHelpFor :: Text -> YiM () Source #

Displays help for a given name, or help index, if no name is given